> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apimart.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling 3.0 Turbo 视频生成

>  - 异步处理模式，返回任务ID用于后续查询
- 支持文本转视频、图生视频（首帧控制）
- 支持 720P / 1080P 两档清晰度
- 支持 3-15 秒视频时长
- 支持多镜头分镜（通过固定格式提示词表达） 

```bash cURL theme={null}
curl --request POST \
  --url https://api.apimart.ai/v1/videos/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "kling-3.0-turbo",
    "prompt": "一只柯基在海边奔跑，电影感，黄昏光线",
    "aspect_ratio": "16:9",
    "resolution": "1080p",
    "duration": 5
  }'
```

```python Python theme={null}
import requests

url = "https://api.apimart.ai/v1/videos/generations"

payload = {
    "model": "kling-3.0-turbo",
    "prompt": "一只柯基在海边奔跑，电影感，黄昏光线",
    "aspect_ratio": "16:9",
    "resolution": "1080p",
    "duration": 5
}

headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript JavaScript theme={null}
const url = "https://api.apimart.ai/v1/videos/generations";

const payload = {
  model: "kling-3.0-turbo",
  prompt: "一只柯基在海边奔跑，电影感，黄昏光线",
  aspect_ratio: "16:9",
  resolution: "1080p",
  duration: 5
};

const headers = {
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
};

fetch(url, {
  method: "POST",
  headers: headers,
  body: JSON.stringify(payload)
})
  .then(response => response.json())
  .then(data => console.log(data))
  .catch(error => console.error('Error:', error));
```

```go Go theme={null}
package main

import (
    "bytes"
    "encoding/json"
    "fmt"
    "io/ioutil"
    "net/http"
)

func main() {
    url := "https://api.apimart.ai/v1/videos/generations"

    payload := map[string]interface{}{
        "model":        "kling-3.0-turbo",
        "prompt":       "一只柯基在海边奔跑，电影感，黄昏光线",
        "aspect_ratio": "16:9",
        "resolution":   "1080p",
        "duration":     5,
    }

    jsonData, _ := json.Marshal(payload)

    req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
    req.Header.Set("Authorization", "Bearer <token>")
    req.Header.Set("Content-Type", "application/json")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := ioutil.ReadAll(resp.Body)
    fmt.Println(string(body))
}
```

```java Java theme={null}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;

public class Main {
    public static void main(String[] args) throws Exception {
        String url = "https://api.apimart.ai/v1/videos/generations";

        String payload = """
        {
          "model": "kling-3.0-turbo",
          "prompt": "一只柯基在海边奔跑，电影感，黄昏光线",
          "aspect_ratio": "16:9",
          "resolution": "1080p",
          "duration": 5
        }
        """;

        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .header("Authorization", "Bearer <token>")
            .header("Content-Type", "application/json")
            .POST(HttpRequest.BodyPublishers.ofString(payload))
            .build();

        HttpResponse<String> response = client.send(request,
            HttpResponse.BodyHandlers.ofString());

        System.out.println(response.body());
    }
}
```

```php PHP theme={null}
<?php

$url = "https://api.apimart.ai/v1/videos/generations";

$payload = [
    "model" => "kling-3.0-turbo",
    "prompt" => "一只柯基在海边奔跑，电影感，黄昏光线",
    "aspect_ratio" => "16:9",
    "resolution" => "1080p",
    "duration" => 5
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
?>
```

```ruby Ruby theme={null}
require 'net/http'
require 'json'
require 'uri'

url = URI("https://api.apimart.ai/v1/videos/generations")

payload = {
  model: "kling-3.0-turbo",
  prompt: "一只柯基在海边奔跑，电影感，黄昏光线",
  aspect_ratio: "16:9",
  resolution: "1080p",
  duration: 5
}

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json

response = http.request(request)
puts response.body
```

```swift Swift theme={null}
import Foundation

let url = URL(string: "https://api.apimart.ai/v1/videos/generations")!

let payload: [String: Any] = [
    "model": "kling-3.0-turbo",
    "prompt": "一只柯基在海边奔跑，电影感，黄昏光线",
    "aspect_ratio": "16:9",
    "resolution": "1080p",
    "duration": 5
]

var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)

let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let error = error {
        print("Error: \(error)")
        return
    }

    if let data = data, let responseString = String(data: data, encoding: .utf8) {
        print(responseString)
    }
}

task.resume()
```

```csharp C# theme={null}
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

class Program
{
    static async Task Main(string[] args)
    {
        var url = "https://api.apimart.ai/v1/videos/generations";

        var payload = @"{
            ""model"": ""kling-3.0-turbo"",
            ""prompt"": ""一只柯基在海边奔跑，电影感，黄昏光线"",
            ""aspect_ratio"": ""16:9"",
            ""resolution"": ""1080p"",
            ""duration"": 5
        }";

        using var client = new HttpClient();
        client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");

        var content = new StringContent(payload, Encoding.UTF8, "application/json");
        var response = await client.PostAsync(url, content);
        var result = await response.Content.ReadAsStringAsync();

        Console.WriteLine(result);
    }
}
```

```json 200 theme={null}
{
  "code": 200,
  "data": [
    {
      "status": "submitted",
      "task_id": "task_xxxxxxxxxx"
    }
  ]
}
```

```json 400 theme={null}
{
  "error": {
    "code": 400,
    "message": "请求参数无效",
    "type": "invalid_request_error"
  }
}
```

```json 401 theme={null}
{
  "error": {
    "code": 401,
    "message": "身份验证失败，请检查您的API密钥",
    "type": "authentication_error"
  }
}
```

```json 402 theme={null}
{
  "error": {
    "code": 402,
    "message": "账户余额不足，请充值后再试",
    "type": "payment_required"
  }
}
```

```json 429 theme={null}
{
  "error": {
    "code": 429,
    "message": "请求过于频繁，请稍后再试",
    "type": "rate_limit_error"
  }
}
```

```json 500 theme={null}
{
  "error": {
    "code": 500,
    "message": "服务器内部错误，请稍后重试",
    "type": "server_error"
  }
}
```

## 认证

**Authorization** `string` *required*

所有接口均需要使用 Bearer Token 进行认证

获取 API Key：

访问 [API Key 管理页面](https://apimart.ai/keys) 获取您的 API Key

使用时在请求头中添加：

```
Authorization: Bearer YOUR_API_KEY
```

## 请求参数

**model** `string` *required*

视频生成模型名称

支持的模型：

* `kling-3.0-turbo` - 可灵 3.0 Turbo

**nsfw\_check** `boolean` (default: false)

是否在提交视频任务前执行内容审核。

* `true`：使用 `omni-moderation-latest` 审核提示词和输入图片
* `false` 或不传：不发起审核请求，不增加审核成本与延迟（默认）

**prompt** `string` *required*

文本提示词

上游限制不超过 3072 字符，建议不超过 2500 字符。

示例：`"一只柯基在海边奔跑，电影感，黄昏光线"`

**first\_frame\_image** `string`

支持 **图片 URL** 或 **Base64**。

> [!WARNING]
>
> 首帧图上游限制：
>
> * 格式：`.jpg` / `.jpeg` / `.png`
> * 大小：≤ 50MB
> * 宽高：≥ 300px
> * 宽高比：`1:2.5` \~ `2.5:1`

**aspect\_ratio** `string` (default: 16:9)

视频宽高比

可选值：

* `16:9` - 横屏
* `9:16` - 竖屏
* `1:1` - 方形

默认值：`16:9`

> [!NOTE]
>
> **仅文生视频生效**。图生视频时此字段无效，视频比例由首帧图决定。

**resolution** `string` (default: 720p)

视频清晰度

可选值：

* `720p`
* `1080p`

默认值：`720p`

**duration** `integer` (default: 5)

视频时长（秒）

取值范围：3-15（最短 3 秒，最长 15 秒）

默认值：`5`

**⚠️ 注意：** 必须输入纯数字（如 `6`），不要加引号，否则会报错

**watermark** `boolean`

是否添加水印

仅当显式传入时才下发到上游；不传则不添加水印。

## 文生视频 vs 图生视频

系统会根据是否提供 `first_frame_image` **自动判断**生成模式：有首帧图走图生视频，无首帧图走文生视频，用户无需显式声明。

| 参数 | 文生视频 | 图生视频 |
| - | - | - |
| `prompt` | ✅ 必填 | ✅ 可选（留空纯按首帧图生成） |
| `first_frame_image` | ❌ 不传 | ✅ 必填 |
| `aspect_ratio` | ✅ 可选 | ❌ 无效（比例由首帧图决定） |
| `resolution` | ✅ 可选 | ✅ 可选 |
| `duration` | ✅ 可选（3-15） | ✅ 可选（3-15） |
| `watermark` | ✅ 可选 | ✅ 可选 |

## 响应

**code** `integer`

响应状态码，成功时为 200

**data** `array`

返回数据数组

**数组元素**

**status** `string`

任务状态，初始提交时为 `submitted`

**task\_id** `string`

任务唯一标识符，用于查询任务状态和结果

## 使用场景

### 场景 1：文生视频（1080P）

```json theme={null}
{
  "model": "kling-3.0-turbo",
  "prompt": "一只柯基在海边奔跑，电影感，黄昏光线",
  "aspect_ratio": "16:9",
  "resolution": "1080p",
  "duration": 5
}
```

### 场景 2：文生视频（竖屏 720P）

```json theme={null}
{
  "model": "kling-3.0-turbo",
  "prompt": "东京涩谷十字路口，雨夜霓虹灯倒映在湿漉漉的地面上，行人撑伞穿行",
  "aspect_ratio": "9:16",
  "resolution": "720p",
  "duration": 10
}
```

### 场景 3：图生视频（首帧图片）

```json theme={null}
{
  "model": "kling-3.0-turbo",
  "prompt": "镜头缓慢推近，人物微笑",
  "first_frame_image": "https://cdn.example.com/first.jpg",
  "resolution": "720p",
  "duration": 5
}
```

### 场景 4：纯首帧图生视频（不带提示词）

```json theme={null}
{
  "model": "kling-3.0-turbo",
  "first_frame_image": "https://cdn.example.com/first.jpg",
  "resolution": "1080p",
  "duration": 5
}
```

### 场景 5：多镜头分镜（文生视频）

```json theme={null}
{
  "model": "kling-3.0-turbo",
  "prompt": "镜头 1,2,海边柯基奔跑；镜头 2,3,镜头推近人物微笑；",
  "aspect_ratio": "16:9",
  "resolution": "1080p",
  "duration": 5
}
```

> [!NOTE]
>
> **查询任务结果**
>
> 视频生成为异步任务，提交后会返回 `task_id`。使用 [获取任务状态](https://docs.apimart.ai/cn/api-reference/tasks/status.md) 接口查询生成进度和结果。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.